Skip to main content
POST
Classify sample by learn block

Authorizations

x-api-key
string
header
required

Path Parameters

projectId
integer
required

Project ID

sampleId
integer
required

Sample ID

blockId
integer
required

Block ID

Query Parameters

variant
enum<string>

Keras model variant

Available options:
int8,
float32,
akida
truncateStructuredLabels
boolean

If true, only a slice of labels will be returned for samples with multiple labels.

Response

200 - application/json

OK

success
boolean
required

Whether the operation succeeded

classifications
object[]
required
sample
object
required
windowSizeMs
integer
required

Size of the sliding window (as set by the impulse) in milliseconds.

Example:

2996

windowIncreaseMs
integer
required

Number of milliseconds that the sliding window increased with (as set by the impulse)

Example:

10

alreadyInDatabase
boolean
required

Whether this sample is already in the training database

error
string

Optional error description (set if 'success' was false)

warning
string